// Copyright 2021 FerretDB Inc.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package common

import (
	"context"
	"errors"

	"github.com/FerretDB/FerretDB/internal/wire"
)

// MsgDebugError is a common implementation of the debugError command.
func MsgDebugError(ctx context.Context, msg *wire.OpMsg) (*wire.OpMsg, error) {
	// TODO https://github.com/FerretDB/FerretDB/issues/640
	return nil, errors.New("debugError")
}
